2 # Copyright (C) 2016 Ian Kelling
4 # Licensed under the Apache License, Version 2.0 (the "License");
5 # you may not use this file except in compliance with the License.
6 # You may obtain a copy of the License at
8 # http://www.apache.org/licenses/LICENSE-2.0
10 # Unless required by applicable law or agreed to in writing, software
11 # distributed under the License is distributed on an "AS IS" BASIS,
12 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
13 # See the License for the specific language governing permissions and
14 # limitations under the License.
17 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
21 if [[ ! $host ||
$host == -h ]]; then
22 echo "$0: error: expected 1 arg of hostname"
26 rlu
$host /a
/bin
/distro-setup
/
27 ssh $host /a
/bin
/distro-setup
/distro-begin
28 ssh $host /a
/bin
/distro-setup
/distro-end